Search for %s

  1. Search 7.x for %s
  2. Search 9.5.x for %s
  3. Search 8.9.x for %s
  4. Search 10.3.x for %s
  5. Search main for %s
  6. Other projects
Title Object type File name Summary
PagerSelectExtender class core/lib/Drupal/Core/Database/Query/PagerSelectExtender.php Query extender for pager queries.
PagerSelectExtender class core/tests/fixtures/database_drivers/module/core_fake/src/Driver/Database/CoreFakeWithAllCustomClasses/PagerSelectExtender.php CoreFakeWithAllCustomClasses implementation of \Drupal\Core\Database\Query\PagerSelectExtender.
PagerSelectExtender.php file core/tests/fixtures/database_drivers/module/core_fake/src/Driver/Database/CoreFakeWithAllCustomClasses/PagerSelectExtender.php
PagerSelectExtender.php file core/lib/Drupal/Core/Database/Query/PagerSelectExtender.php
PagerSelectExtender::$customCountQuery property core/lib/Drupal/Core/Database/Query/PagerSelectExtender.php The count query that will be used for this pager.
PagerSelectExtender::$element property core/lib/Drupal/Core/Database/Query/PagerSelectExtender.php The unique ID of this pager on this page.
PagerSelectExtender::$limit property core/lib/Drupal/Core/Database/Query/PagerSelectExtender.php The number of elements per page to allow.
PagerSelectExtender::element function core/lib/Drupal/Core/Database/Query/PagerSelectExtender.php Specify the element ID for this pager query.
PagerSelectExtender::ensureElement function core/lib/Drupal/Core/Database/Query/PagerSelectExtender.php Ensure that there is an element associated with this query.
PagerSelectExtender::execute function core/lib/Drupal/Core/Database/Query/PagerSelectExtender.php Override the execute method.
PagerSelectExtender::getCountQuery function core/lib/Drupal/Core/Database/Query/PagerSelectExtender.php Retrieve the count query for this pager.
PagerSelectExtender::getElement function core/lib/Drupal/Core/Database/Query/PagerSelectExtender.php Gets the element ID for this pager query.
PagerSelectExtender::limit function core/lib/Drupal/Core/Database/Query/PagerSelectExtender.php Specify the maximum number of elements per page for this query.
PagerSelectExtender::setCountQuery function core/lib/Drupal/Core/Database/Query/PagerSelectExtender.php Specify the count query object to use for this pager.
PagerSelectExtender::__construct function core/lib/Drupal/Core/Database/Query/PagerSelectExtender.php Constructs a PagerSelectExtender object.
PagerTest class core/modules/views/tests/src/Functional/Plugin/PagerTest.php Tests the pluggable pager system.
PagerTest class core/modules/views/tests/src/Functional/Wizard/PagerTest.php Tests the ability of the views wizard to create views without a pager.
PagerTest class core/modules/system/tests/src/Functional/Pager/PagerTest.php Tests pager functionality.
PagerTest.php file core/modules/system/tests/src/Functional/Pager/PagerTest.php
PagerTest.php file core/modules/views/tests/src/Functional/Wizard/PagerTest.php
PagerTest.php file core/modules/views/tests/src/Functional/Plugin/PagerTest.php
PagerTest::$adminUser property core/modules/system/tests/src/Functional/Pager/PagerTest.php A user with permission to access site reports.
PagerTest::$defaultTheme property core/modules/system/tests/src/Functional/Pager/PagerTest.php The theme to install as the default for testing.
PagerTest::$defaultTheme property core/modules/views/tests/src/Functional/Plugin/PagerTest.php The theme to install as the default for testing.
PagerTest::$defaultTheme property core/modules/views/tests/src/Functional/Wizard/PagerTest.php The theme to install as the default for testing.
PagerTest::$localeStorage property core/modules/views/tests/src/Functional/Plugin/PagerTest.php String translation storage object.
PagerTest::$modules property core/modules/views/tests/src/Functional/Plugin/PagerTest.php Modules to install.
PagerTest::$modules property core/modules/system/tests/src/Functional/Pager/PagerTest.php Modules to install.
PagerTest::$testViews property core/modules/views/tests/src/Functional/Plugin/PagerTest.php Views used by this test.
PagerTest::assertClass function core/modules/system/tests/src/Functional/Pager/PagerTest.php Asserts that an element has a given class.
PagerTest::assertNoClass function core/modules/system/tests/src/Functional/Pager/PagerTest.php Asserts that an element does not have a given class.
PagerTest::assertPagerItems function core/modules/system/tests/src/Functional/Pager/PagerTest.php Asserts pager items and links.
PagerTest::createTranslation function core/modules/views/tests/src/Functional/Plugin/PagerTest.php Creates single translation for source string.
PagerTest::createViewAtPath function core/modules/views/tests/src/Functional/Wizard/PagerTest.php Create a simple View of nodes at a given path.
PagerTest::setUp function core/modules/system/tests/src/Functional/Pager/PagerTest.php
PagerTest::testActiveClass function core/modules/system/tests/src/Functional/Pager/PagerTest.php Tests markup and CSS classes of pager links.
PagerTest::testLimit function core/modules/views/tests/src/Functional/Plugin/PagerTest.php Tests the some pager plugin.
PagerTest::testMultiplePagers function core/modules/system/tests/src/Functional/Pager/PagerTest.php Tests proper functioning of multiple pagers.
PagerTest::testNoLimit function core/modules/views/tests/src/Functional/Plugin/PagerTest.php Tests the none-pager-query.
PagerTest::testNormalPager function core/modules/views/tests/src/Functional/Plugin/PagerTest.php Tests the normal pager.
PagerTest::testPager function core/modules/views/tests/src/Functional/Wizard/PagerTest.php Tests the pager option.
PagerTest::testPagerApi function core/modules/views/tests/src/Functional/Plugin/PagerTest.php Tests the api functions on the view object.
PagerTest::testPagerConfigTranslation function core/modules/views/tests/src/Functional/Plugin/PagerTest.php Tests translating the pager using config_translation.
PagerTest::testPagerEllipsis function core/modules/system/tests/src/Functional/Pager/PagerTest.php Tests proper functioning of the ellipsis.
PagerTest::testPagerHeadingLevel function core/modules/views/tests/src/Functional/Plugin/PagerTest.php Tests changing the heading level.
PagerTest::testPagerLocale function core/modules/views/tests/src/Functional/Plugin/PagerTest.php Tests translating the pager using locale.
PagerTest::testPagerQueryParametersAndCacheContext function core/modules/system/tests/src/Functional/Pager/PagerTest.php Tests pager query parameters and cache context.
PagerTest::testRenderNullPager function core/modules/views/tests/src/Functional/Plugin/PagerTest.php Tests rendering with NULL pager.
PagerTest::testStorePagerSettings function core/modules/views/tests/src/Functional/Plugin/PagerTest.php Pagers was sometimes not stored.
PagerTest::testViewTotalRowsWithoutPager function core/modules/views/tests/src/Functional/Plugin/PagerTest.php Tests the total row count in a view without a pager.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.